﻿@using System.Security.Claims
@{
    bool IsEmptyLayout = Convert.ToBoolean(ViewBag.EmptyLayout);
    int MaritalStatus = ViewBag.ClientMaritalStatus;
    string ClientName = ViewBag.ClientName;
    string SpouseName = ViewBag.SpouseName;
    int BudgetVersion = ViewBag.BudgetVersion == true ? 1 : 0;
    int InvestmentVersion = ViewBag.InvestmentVersion == true ? 1 : 0;
    int RiskArcVersion = ViewBag.RiskArcVersion == true ? 1 : 0;
    string ClientSpouseOccupations = ViewBag.ClientSpouseOccupations;
    int DisplayOnlyClient = Convert.ToBoolean(ViewBag.DisplayOnlyClient) == true ? 1 : 0;
    int DisabledRightPanel = Convert.ToBoolean(ViewBag.DisabledRightPanel) == true ? 1 : 0;
    int InitialProfileSetupCompleted = ViewBag.InitialProfileSetupCompleted == true ? 1 : 0;
    int HasPersonalAssets = ViewBag.HasPersonalAssets == true ? 1 : 0;
    int HasInvestmentIncome = ViewBag.HasInvestmentIncome == true ? 1 : 0;
    int TimeZone = ViewBag.TimeZone;
    int IsMarried = ViewBag.IsMarried == true ? 1 : 0;
    var Role = User.FindFirst(ClaimTypes.Role)?.Value;
}
<input id="FromExitButton" type="hidden" />
<input value="@ViewBag.FirmId" id="hdnFirmId" type="hidden" />
<input value="@ViewBag.ClientId" id="hdnClientId" type="hidden" />
<input value="@MaritalStatus" id="ClientMaritalStatus" type="hidden" />
<input value="@IsMarried" id="ClientIsMarried" type="hidden" />
<input value="@ViewBag.ClientDOB" id="ClientDOB" type="hidden" />
<input value="@ViewBag.ClientYearToRetire" id="ClientYearToRetire" type="hidden" />
<input value="@BudgetVersion" id="BudgetVersion" type="hidden" />
<input value="@InvestmentVersion" id="InvestmentVersion" type="hidden" />
<input value="@RiskArcVersion" id="RiskArcVersion" type="hidden" />
<input value="@ClientSpouseOccupations" id="ClientSpouseOccupations" type="hidden" />
<input value="@DisplayOnlyClient" id="DisplayOnlyClient" type="hidden" />
<input value="@DisabledRightPanel" id="DisabledRightPanel" type="hidden" />
<input value="@InitialProfileSetupCompleted" id="InitialProfileSetupCompleted" type="hidden" />
<input value="@HasPersonalAssets" id="HasPersonalAssets" type="hidden" />
<input value="@HasInvestmentIncome" id="HasInvestmentIncome" type="hidden" />
<input value="@TimeZone" id="hdnTimeZone" type="hidden" />
<input value="@Role" id="hdnRole" type="hidden" />

<input id="hdnLoginUrl" value="@ViewBag.LoginUrl" type="hidden" />
<div id="kt_header" class="header-client header header-fixed h-50px h-xl-65px @(IsEmptyLayout?"kt-header-hidden":"")">
    <div class=" container-fluid d-flex align-items-stretch justify-content-between">
        @if (IsEmptyLayout)
        {
            <div class="header-menu-wrapper header-menu-wrapper-left" id="kt_header_menu_wrapper">
                <div class="header-logo">
                    <img alt="Logo" src="~/images/brand_logo.png">
                </div>
            </div>
        }
        <div class="header-menu-wrapper header-menu-wrapper-left" id="kt_header_menu_wrapper">
            @if (!IsEmptyLayout)
            {
                <partial name="_TopNav" />
            }
        </div>
        <div class="topbar">
            @if (!IsEmptyLayout)
            {
                @*<partial name="_Notifications" />*@
                <partial name="_RiskArcNav" model="new { ClientName = ClientName, SpouseName = SpouseName }" />
            }
            <div class="topbar-item" id="user_toggle_container" style="pointer-events:@(IsEmptyLayout || DisabledRightPanel == 1?"none":"")">
                <div class="btn btn-icon btn-icon-mobile w-auto btn-clean d-flex align-items-center btn-lg px-2" id="kt_quick_user_toggle">
                    <span class="text-muted font-weight-bold font-size-base d-none d-md-inline mr-1">Hi,</span>
                    <span class="text-dark-50 font-weight-bolder font-size-base d-none d-md-inline mr-3 client_fullname">@ViewBag.ClientFullName</span>
                    <span class="symbol symbol-lg-35 symbol-25 symbol-light-success">
                        <span class="symbol-label font-size-h5 font-weight-bold client_initial">@ClientName?.Substring(0, 1)</span>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
<partial name="_BudgetVersionModal" />
<partial name="_InvestmentVersionModal" />
<partial name="_PlanningItemsModal" />